CODE-MINIMAP(1)

NAME
code-minimap - Generate minimap of source code

SYNOPSIS
code-minimap takes source code and generates a minimap consisting of pixels.

code-minimap
[OPTIONS] [FILE] [COMMAND]

DESCRIPTION
A high performance code minimap generator

  Commands:

    help

    Print this message or the help of the given subcommand(s)

  Arguments:

    [FILE]

    File to read

OPTIONS

-H, --horizontal-scale <HSCALE>

    Specify horizontal scale factor [default: 1.0]

-V, --vertical-scale <VSCALE>

    Specify vertical scale factor [default: 1.0]

--padding <PADDING>

    Specify padding width

--encoding <ENCODING>

    Specify input encoding [default: utf8-lossy] [possible values: utf8-lossy, utf8]

--version

    Print version

-h, --help

    Print help

AUTHOR

Matthias Geiger <werdahias@debian.org>

COPYRIGHT

Copyright © 2024 Matthias Geiger

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or (at your option) any later version published by the Free Software Foundation.